using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.BS;
using System;
using System.Collections.Generic;
using System.ComponentModel;


namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查记录 -> 检查人员 修改
    /// </summary>
    public class T_BS_SAFE_CHECK_DETAIL_USER_CHANGE : MesEntityBase
    {
        /// <summary>
        /// 检查人员
        /// </summary>
        [Description("检查人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USERID { get; set; }

        /// <summary>
        /// 检查人员
        /// </summary>
        [Description("检查人员")]
        public T_FM_USER Nav_User { get; set; }


        /// <summary>
        /// 原来的检查人员
        /// </summary>
        [Description("原来的检查人员")]
        [DataFieldForeignKey("Nav_UserOld")]
        public Guid USERID_OLD { get; set; }

        /// <summary>
        /// 原来的检查人员
        /// </summary>
        [Description("原来的检查人员")]
        public T_FM_USER Nav_UserOld { get; set; }

    }
}